TSSERVE(1)

NAME
tsserve - get info about the streams within a transport stream

SYNOPSIS
tsserve [-details] [-err stdout] [-err stderr] [-quiet | -q] [-verbose | -v] [-port port_no] [-noaudio] [-pad filler_pkts] [-noseqhdr] [-prepeat pat_freq] [-h264 | -avc | -h262] [-dolby dvb | atsc] [-0] file0 [-1 file1] [-2 file2] ...

DESCRIPTION
Act as a server which plays the given file (containing Transport Stream or Program Stream data). The output is always Transport Stream.

  Input:

infile
    An H.222.0 TS or PS file to serve to the client. This will be treated as file 0 (see below).

-0 file0 .. -9 file9
    Specify files 0 through 9, selectable with command characters 0 through 9. The lowest numbered file will be the default for display.

  General Switches:

-details
    Print out more detailed help information, including some less common options.

-err stdout
    Write error messages to standard output (the default)

-err stderr
    Write error messages to standard error (Unix traditional)

-v, -verbose
    Output additional diagnostic messages

-q, -quiet
    Suppress informational and warning messages

-port port_no
    Listen for a client on port port_no [default = 88]

-noaudio
    Ignore any audio data

-pad filler_pkts
    Pad the start of the output with filler_pkts filler TS packets, to allow the client to synchronize with the datastream. [default = 8]

-noseqhdr
    Do not output sequence headers for fast forward/reverse data. Only relevant to H.262 data.

  Program Stream Switches:

-prepeat pat_freq
    Output the program data (PAT/PMT) after every pat_freq PS packs. [default = 100]

-h264, -avc
    Force the program to treat the input as MPEG-4/AVC.

-h262
    Force the program to treat the input as MPEG-2.
Both of these affect the stream type of the output data.

If the audio stream being output is Dolby (AC-3), then the stream type used to output it differs for DVB (European) and ATSC (USA) data. It may be specified as follows:

-dolby dvb
    Use stream type 0x06. [default]

-dolby atsc
    Use stream type 0x81

For information on using the program in other modes, see -details.

SEE ALSO
tsinfo(1), pcapreport(1)